Container Apps Session Pools - Create Or Update
Maak of werk een sessiegroep bij met de gegeven eigenschappen.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/sessionPools/{sessionPoolName}?api-version=2026-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
session
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Naam van de sessiegroep. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| location | True |
string |
De geografische locatie waar de resource zich bevindt |
| identity |
De beheerde service-identiteiten die zijn toegewezen aan deze resource. |
||
| properties.containerType |
Het containertype van de sessies. Je kunt je eigen container gebruiken om de sessiepool op te bouwen, of je kunt een vooraf gedefinieerde container gebruiken om workloads met een specifieke taal uit te voeren. |
||
| properties.customContainerTemplate |
De configuratie van de aangepaste container als het containerType CustomContainer is. |
||
| properties.dynamicPoolConfiguration |
De poolconfiguratie als het poolManagementType dynamisch is. |
||
| properties.environmentId |
string (arm-id) |
Resource-id van de omgeving van de sessiegroep. |
|
| properties.managedIdentitySettings |
Optionele instellingen voor een beheerde identiteit die is toegewezen aan de sessiegroep. |
||
| properties.poolManagementType |
Het groepsbeheertype van de sessiegroep. |
||
| properties.scaleConfiguration |
De schaalconfiguratie van de sessiegroep. |
||
| properties.secrets |
De geheimen van de sessiegroep. |
||
| properties.sessionNetworkConfiguration |
De netwerkconfiguratie van de sessies in de sessiegroep. |
||
| tags |
object |
Resourcetags. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De updateoperatie van de bron 'SessionPool' is geslaagd |
|
| 201 Created |
Resource 'SessionPool' aanmaakoperatie is geslaagd Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
|
Create or Update Session Pool with lifecycle On |
| Create or Update Session Pool with lifecycle type Timed |
| Create or Update Session Pool with MCP server |
Create or Update Session Pool with lifecycle OnContainerExit Timed
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-01-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"lifecycleType": "OnContainerExit",
"maxAlivePeriodInSeconds": 86400
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementType": "Dynamic",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Voorbeeldrespons
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"lifecycleType": "OnContainerExit",
"maxAlivePeriodInSeconds": 86400
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"nodeCount": 1,
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "Succeeded",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"lifecycleType": "OnContainerExit",
"maxAlivePeriodInSeconds": 86400
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "InProgress",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Create or Update Session Pool with lifecycle type Timed
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-01-01
{
"identity": {
"type": "SystemAssigned"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementType": "Dynamic",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Voorbeeldrespons
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"nodeCount": 1,
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "Succeeded",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"identity": {
"type": "SystemAssigned",
"principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
},
"location": "East US",
"properties": {
"containerType": "CustomContainer",
"customContainerTemplate": {
"containers": [
{
"name": "testinitcontainer",
"args": [
"-c",
"while true; do echo hello; sleep 10;done"
],
"command": [
"/bin/sh"
],
"image": "repo/testcontainer:v4",
"resources": {
"cpu": 0.25,
"memory": "0.5Gi"
}
}
],
"ingress": {
"targetPort": 80
},
"registryCredentials": {
"identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
"server": "test.azurecr.io"
}
},
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
"managedIdentitySettings": [
{
"identity": "system",
"lifecycle": "Main"
}
],
"poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
"poolManagementType": "Dynamic",
"provisioningState": "InProgress",
"scaleConfiguration": {
"maxConcurrentSessions": 500,
"readySessionInstances": 100
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Create or Update Session Pool with MCP server
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-01-01
{
"location": "East US",
"properties": {
"containerType": "Shell",
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"poolManagementType": "Dynamic",
"scaleConfiguration": {
"maxConcurrentSessions": 50
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Voorbeeldrespons
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"location": "East US",
"properties": {
"containerType": "Shell",
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"poolManagementEndpoint": "https://eastus.dynamicsessions.io/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/sessionPools/testsessionpool",
"poolManagementType": "Dynamic",
"provisioningState": "Succeeded",
"scaleConfiguration": {
"maxConcurrentSessions": 50
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
{
"name": "testsessionpool",
"type": "Microsoft.App/sessionPools",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
"location": "East US",
"properties": {
"containerType": "Shell",
"dynamicPoolConfiguration": {
"lifecycleConfiguration": {
"cooldownPeriodInSeconds": 600,
"lifecycleType": "Timed"
}
},
"poolManagementEndpoint": "https://eastus.dynamicsessions.io/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/sessionPools/testsessionpool",
"poolManagementType": "Dynamic",
"provisioningState": "InProgress",
"scaleConfiguration": {
"maxConcurrentSessions": 50
},
"sessionNetworkConfiguration": {
"status": "EgressEnabled"
}
}
}
Definities
| Name | Description |
|---|---|
|
Container |
Het containertype van de sessies. Je kunt je eigen container gebruiken om de sessiepool op te bouwen, of je kunt een vooraf gedefinieerde container gebruiken om workloads met een specifieke taal uit te voeren. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Custom |
Aangepaste containerconfiguratie. |
|
Dynamic |
Dynamische poolconfiguratie. |
|
Environment |
Container App-containeromgevingsvariabele. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Lifecycle |
De eigenschappen van de levenscyclusconfiguratie van een sessie in de dynamische sessiegroep |
|
Lifecycle |
Het levenscyclustype van de sessiegroep. |
|
Managed |
Optionele instellingen voor een beheerde identiteit die is toegewezen aan de sessiegroep. |
|
Managed |
Beheerde service-identiteit (door het systeem toegewezen en/of door de gebruiker toegewezen identiteiten) |
|
Managed |
Type beheerde service-identiteit (waarbij zowel SystemAssigned- als UserAssigned-typen zijn toegestaan). |
|
Pool |
Het groepsbeheertype van de sessiegroep. |
|
Scale |
Schaalconfiguratie. |
|
Session |
Containerdefinities voor de sessies van de sessiegroep. |
|
Session |
Containerresourcevereisten voor sessies van de sessiegroep. |
|
Session |
Configuratie van toegangsbeheerobject voor sessiegroepen. |
|
Session |
Sessienetwerkconfiguratie. |
|
Session |
Netwerkstatus voor de sessies. |
|
Session |
Container App-sessiegroep. |
|
Session |
Gebruik deze optie om de levenscyclusfasen van een sessiegroep te selecteren waarin de beheerde identiteit beschikbaar moet zijn. |
|
Session |
Inrichtingsstatus van de sessiegroep. |
|
Session |
Geheime definitie. |
|
Session |
Privéregisterreferenties voor sessiegroep. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
|
User |
Door de gebruiker toegewezen identiteitseigenschappen |
ContainerType
Het containertype van de sessies. Je kunt je eigen container gebruiken om de sessiepool op te bouwen, of je kunt een vooraf gedefinieerde container gebruiken om workloads met een specifieke taal uit te voeren.
| Waarde | Description |
|---|---|
| CustomContainer |
CustomContainer |
| PythonLTS |
PythonLTS |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CustomContainerTemplate
Aangepaste containerconfiguratie.
| Name | Type | Description |
|---|---|---|
| containers |
Lijst met containerdefinities voor de sessies van de sessiegroep. |
|
| ingress |
Configuratie van toegangsbeheerobject voor sessiegroepen. |
|
| registryCredentials |
Referenties voor privécontainerregisters voor containers die worden gebruikt door de sessies van de sessiegroep. |
DynamicPoolConfiguration
Dynamische poolconfiguratie.
| Name | Type | Description |
|---|---|---|
| lifecycleConfiguration |
De levenscyclusconfiguratie van een sessie in de dynamische sessiegroep |
EnvironmentVar
Container App-containeromgevingsvariabele.
| Name | Type | Description |
|---|---|---|
| name |
string |
Naam van omgevingsvariabele. |
| secretRef |
string |
Naam van het container-app-geheim waaruit de waarde van de omgevingsvariabele moet worden opgehaald. |
| value |
string |
Niet-geheime omgevingsvariabelewaarde. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
LifecycleConfiguration
De eigenschappen van de levenscyclusconfiguratie van een sessie in de dynamische sessiegroep
| Name | Type | Description |
|---|---|---|
| cooldownPeriodInSeconds |
integer (int32) |
De afkoelperiode van een sessie in seconden wanneer het levenscyclustype 'Getimed' is. |
| lifecycleType |
Het levenscyclustype van de sessiegroep. |
|
| maxAlivePeriodInSeconds |
integer (int32) |
De maximale levensduur van een sessie in seconden wanneer het levenscyclustype 'OnContainerExit' is. |
LifecycleType
Het levenscyclustype van de sessiegroep.
| Waarde | Description |
|---|---|
| Timed |
Getimede |
| OnContainerExit |
OnContainerExit |
ManagedIdentitySetting
Optionele instellingen voor een beheerde identiteit die is toegewezen aan de sessiegroep.
| Name | Type | Default value | Description |
|---|---|---|---|
| identity |
string |
De resource-id van een door de gebruiker toegewezen beheerde identiteit die is toegewezen aan de sessiegroep of 'systeem' voor door het systeem toegewezen identiteit. |
|
| lifecycle | None |
Gebruik deze optie om de levenscyclusfasen van een sessiegroep te selecteren waarin de beheerde identiteit beschikbaar moet zijn. |
ManagedServiceIdentity
Beheerde service-identiteit (door het systeem toegewezen en/of door de gebruiker toegewezen identiteiten)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
De service-principal-id van de door het systeem toegewezen identiteit. Deze eigenschap wordt alleen verstrekt voor een door het systeem toegewezen identiteit. |
| tenantId |
string (uuid) |
De tenant-id van de door het systeem toegewezen identiteit. Deze eigenschap wordt alleen verstrekt voor een door het systeem toegewezen identiteit. |
| type |
Type beheerde service-identiteit (waarbij zowel SystemAssigned- als UserAssigned-typen zijn toegestaan). |
|
| userAssignedIdentities |
<string,
User |
User-Assigned identiteiten |
ManagedServiceIdentityType
Type beheerde service-identiteit (waarbij zowel SystemAssigned- als UserAssigned-typen zijn toegestaan).
| Waarde | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
PoolManagementType
Het groepsbeheertype van de sessiegroep.
| Waarde | Description |
|---|---|
| Manual |
Handleiding |
| Dynamic |
Dynamic |
ScaleConfiguration
Schaalconfiguratie.
| Name | Type | Description |
|---|---|---|
| maxConcurrentSessions |
integer (int32) |
Het maximumaantal sessies tegelijk. |
| readySessionInstances |
integer (int32) |
Het minimumaantal gereede sessie-exemplaren. |
SessionContainer
Containerdefinities voor de sessies van de sessiegroep.
| Name | Type | Description |
|---|---|---|
| args |
string[] |
Opdrachtargumenten voor het starten van de container. |
| command |
string[] |
Startopdracht container. |
| env |
Omgevingsvariabelen voor containers. |
|
| image |
string |
Tag containerinstallatiekopieën. |
| name |
string |
Aangepaste containernaam. |
| resources |
Vereisten voor containerresources. |
SessionContainerResources
Containerresourcevereisten voor sessies van de sessiegroep.
| Name | Type | Description |
|---|---|---|
| cpu |
number (double) |
Vereiste CPU in kernen, bijvoorbeeld 0,5 |
| memory |
string |
Vereist geheugen, bijvoorbeeld '250 Mb' |
SessionIngress
Configuratie van toegangsbeheerobject voor sessiegroepen.
| Name | Type | Description |
|---|---|---|
| targetPort |
integer (int32) |
Doelpoort in containers voor verkeer van inkomend verkeer |
SessionNetworkConfiguration
Sessienetwerkconfiguratie.
| Name | Type | Description |
|---|---|---|
| status |
Netwerkstatus voor de sessies. |
SessionNetworkStatus
Netwerkstatus voor de sessies.
| Waarde | Description |
|---|---|
| EgressEnabled |
EgressEnabled |
| EgressDisabled |
EgressDisabled |
SessionPool
Container App-sessiegroep.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| identity |
De beheerde service-identiteiten die zijn toegewezen aan deze resource. |
|
| location |
string |
De geografische locatie waar de resource zich bevindt |
| name |
string |
De naam van de resource |
| properties.containerType |
Het containertype van de sessies. Je kunt je eigen container gebruiken om de sessiepool op te bouwen, of je kunt een vooraf gedefinieerde container gebruiken om workloads met een specifieke taal uit te voeren. |
|
| properties.customContainerTemplate |
De configuratie van de aangepaste container als het containerType CustomContainer is. |
|
| properties.dynamicPoolConfiguration |
De poolconfiguratie als het poolManagementType dynamisch is. |
|
| properties.environmentId |
string (arm-id) |
Resource-id van de omgeving van de sessiegroep. |
| properties.managedIdentitySettings |
Optionele instellingen voor een beheerde identiteit die is toegewezen aan de sessiegroep. |
|
| properties.nodeCount |
integer (int32) |
Het aantal knooppunten dat de sessiegroep gebruikt. |
| properties.poolManagementEndpoint |
string (uri) |
Het eindpunt voor het beheren van de pool. |
| properties.poolManagementType |
Het groepsbeheertype van de sessiegroep. |
|
| properties.provisioningState |
Inrichtingsstatus van de sessiegroep. |
|
| properties.scaleConfiguration |
De schaalconfiguratie van de sessiegroep. |
|
| properties.secrets |
De geheimen van de sessiegroep. |
|
| properties.sessionNetworkConfiguration |
De netwerkconfiguratie van de sessies in de sessiegroep. |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
SessionPoolIdentityLifeCycle
Gebruik deze optie om de levenscyclusfasen van een sessiegroep te selecteren waarin de beheerde identiteit beschikbaar moet zijn.
| Waarde | Description |
|---|---|
| None |
Gebruik geen managed identity tijdens welke levenscyclusfase dan ook. |
| Main |
Gebruik beheerde identiteit tijdens de hoofdfase van de Container App-levenscyclus. |
SessionPoolProvisioningState
Inrichtingsstatus van de sessiegroep.
| Waarde | Description |
|---|---|
| InProgress |
In uitvoering |
| Succeeded |
Succeeded |
| Failed |
Mislukt |
| Canceled |
Geannuleerd |
| Deleting |
Verwijderen |
SessionPoolSecret
Geheime definitie.
| Name | Type | Description |
|---|---|---|
| name |
string |
Geheime naam. |
| value |
string (password) |
Geheime waarde. |
SessionRegistryCredentials
Privéregisterreferenties voor sessiegroep.
| Name | Type | Description |
|---|---|---|
| identity |
string |
Een beheerde identiteit die moet worden gebruikt voor verificatie met Azure Container Registry. Voor door de gebruiker toegewezen identiteiten gebruikt u de volledige door de gebruiker toegewezen id-resource-id. Gebruik 'systeem' voor door het systeem toegewezen identiteiten |
| passwordSecretRef |
string |
De naam van het geheim dat het aanmeldingswachtwoord voor het register bevat |
| server |
string |
Container registry-server. |
| username |
string |
Gebruikersnaam van containerregister. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |
UserAssignedIdentity
Door de gebruiker toegewezen identiteitseigenschappen
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
De client-id van de toegewezen identiteit. |
| principalId |
string (uuid) |
De principal-id van de toegewezen identiteit. |